技术

Linux多线程下载工具Axel

Linux多线程下载工具Axel

发布于: 2014-08-25 更新于: 2014-08-25 12548 次围观 11 次吐槽

一般情况,在 Linux 下我们习惯于用 wget 下载,但该工具的缺点就是无法进行多线程下载,所以往往有时候速度不够快。 这里介绍的 Axel,是 Linux 下一款不错的 HTTP 或 FTP 高速下载工具。支持多线程下载、断点续传,且可以从多...

CentOS 7下LAMP一键安装

CentOS 7下LAMP一键安装

发布于: 2014-08-12 更新于: 2014-08-12 18256 次围观 19 次吐槽

前不久 CentOS 更新到版本 CentOS 7.0.1406,为了支持此版本,LAMP 一键安装脚本做了大量的更新和测试,并遇到了不少问题,在此一一记录下来。 由于 CentOS 7 将 service 重定向为 systemctl ,导致开机...

Shadowsocks相关资料

Shadowsocks相关资料

发布于: 2014-07-27 更新于: 2014-07-27 46916 次围观 44 次吐槽

1、Shadowsocks 是什么 Shadowsocks 是一种安全的 socks5 代理,可以保护你的上网流量。基于多种加密方式,推荐使用 aes-256-cfb 加密。安装和使用需要本地端和服务端。 本地客户端已经包含了多种版本,包括iOS,...

phpMyAdmin导入文件错误的解决办法

phpMyAdmin导入文件错误的解决办法

发布于: 2014-06-09 更新于: 2014-06-21 3483 次围观 9 次吐槽

phpMyAdmin 这货的升级速度确实是快,今天已然升级到 4.2.3 了,打算升级一下 phpMyAdmin 并简单测试一下,在导入文件的时候发生以下错误: Uploaded file cannot be moved, because the ...

PHP编译安装常见错误总结

PHP编译安装常见错误总结

发布于: 2014-06-06 更新于: 2014-06-06 6759 次围观 0 次吐槽

在 CentOS 下编译 PHP5 的时候,为了安装某一扩展(ext),新增了编译参数,会出各种错误。基本上都可以通过 yum 安装相应的库或者改变编译参数来解决问题,在此记录如下。 1、PHP 出现 segmentation fault...

Debian下shadowsocks-libev一键安装脚本

Debian下shadowsocks-libev一键安装脚本

发布于: 2014-05-10 更新于: 2018-02-07 314782 次围观 489 次吐槽

本脚本适用环境: 系统支持:Debian/Ubuntu 内存要求:≥128M 日期:2018 年 02 月 07 日 关于本脚本: Debian 或 Ubuntu 下一键安装 libev 版的 Shadowsocks 最新版本。该版本的特点是内存占...

CentOS下shadowsocks-libev一键安装脚本

CentOS下shadowsocks-libev一键安装脚本

发布于: 2014-05-08 更新于: 2018-02-07 698826 次围观 1090 次吐槽

本脚本适用环境: 系统支持:CentOS 内存要求:≥128M 日期:2018 年 02 月 07 日 关于本脚本: 一键安装 libev 版的 Shadowsocks 最新版本。该版本的特点是内存占用小(600k左右),低 CPU 消耗,甚至可以...

又一家VPS:Vultr.com

又一家VPS:Vultr.com

发布于: 2014-04-25 更新于: 2014-04-25 17808 次围观 23 次吐槽

Vultr.com最近几个月还是比较火的,在各个主机论坛和测评博客里都有这家。虽然宣传的有12处数据中心,但实际上并不是所有的数据中心都有货。比如今天就是 Frankfurt, DE 和 London, UK 没货。 这家有个好处就是,可以自定义...

Eclipse下搭建Python开发环境

Eclipse下搭建Python开发环境

发布于: 2014-03-06 更新于: 2014-03-06 15900 次围观 16 次吐槽

自从开始用Shadowsocks以来,研究了一下其源码,发现Python的简洁和强大,打算学习之。首先自然是搭建一下环境,用我所熟悉的Eclipse 再加上 Pydev即可。 一、下载Eclipse,官网地址:http://www.ecli...

Shadowsocks Python版一键安装脚本

Shadowsocks Python版一键安装脚本

发布于: 2014-02-16 更新于: 2018-02-07 943094 次围观 1276 次吐槽

本脚本适用环境: 系统支持:CentOS 6,7,Debian,Ubuntu 内存要求:≥128M 日期:2018 年 02 月 07 日 关于本脚本: 一键安装 Python 版 Shadowsocks 的最新版。 友情提示:如果你有问题,请先参...

CentOS下pip和shadowsocks的安装使用

CentOS下pip和shadowsocks的安装使用

发布于: 2014-02-15 更新于: 2014-06-17 172655 次围观 71 次吐槽

Pip是安装Python包的工具,提供了安装、列举已安装包、升级以及卸载包的功能。Pip 是对easy_install的取代,提供了和easy_install相同的查找包的功能,因此可以使用easy_install安装的包也同样可以使用pip进行安...

Git初学者:msysgit和tortoisegit

Git初学者:msysgit和tortoisegit

发布于: 2014-02-02 更新于: 2014-04-29 9356 次围观 5 次吐槽

Git现在如日中天,要是不会一点都不好意思自称为攻城师。用过CVS、SVN后再用Git,一时半会儿还有点不太适应,就像习惯了Android界面一时适应不了iOS一样。那么,Git与SVN的区别到底是什么? Git与大部分版本控制系统的差别是很大的...

CentOS 6.5 x64 编译PHP出错

CentOS 6.5 x64 编译PHP出错

发布于: 2014-01-11 更新于: 2015-08-25 2905 次围观 2 次吐槽

PHP 官方更新倒是挺勤快的。几天不见,又更新了。于是升级一下 VPS 的 PHP 呗。编译的过程中跑着跑着出现了错误如下:cc: Internal error: Killed (program cc1) 很明显这是编译进程被系统给 kill ...